Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory

    java.lang.Object
      javax.crypto.SecretKeyFactorySpi
          org.bouncycastle.jce.provider.JCESecretKeyFactory

Direct Known Subclasses:
  JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.PBE_PKCS12, JCESecretKeyFactory.PBE_PKCS5

public class JCESecretKeyFactory
extends javax.crypto.SecretKeyFactorySpi

Nested Class Summary
`static class` | `JCESecretKeyFactory.DES`
`static class` | `JCESecretKeyFactory.DESede`
`static class` | `JCESecretKeyFactory.PBE_PKCS12` PBE password processing for PKCS12 - unicode, big endian order, with two zero pad bytes.
`static class` | `JCESecretKeyFactory.PBE_PKCS5` PBE password processing for PKCS5 - ascii - single byte per character, no padding.

Field Summary
`protected java.lang.String` | `algName`

Constructor Summary
`protected` | `JCESecretKeyFactory(java.lang.String algName)`

Method Summary
`protected javax.crypto.SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)`
`protected java.security.spec.KeySpec` | `engineGetKeySpec(javax.crypto.SecretKey key, java.lang.Class keySpec)`
`protected javax.crypto.SecretKey` | `engineTranslateKey(javax.crypto.SecretKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### algName

    protected java.lang.String algName

Constructor Detail

### JCESecretKeyFactory

    protected JCESecretKeyFactory(java.lang.String algName)

Method Detail

### engineGenerateSecret

    protected javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Specified by:
    `engineGenerateSecret` in class `javax.crypto.SecretKeyFactorySpi`
  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineGetKeySpec

    protected java.security.spec.KeySpec engineGetKeySpec(javax.crypto.SecretKey key,
                                                          java.lang.Class keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Specified by:
    `engineGetKeySpec` in class `javax.crypto.SecretKeyFactorySpi`
  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineTranslateKey

    protected javax.crypto.SecretKey engineTranslateKey(javax.crypto.SecretKey key)
                                                 throws java.security.InvalidKeyException

  Specified by:
    `engineTranslateKey` in class `javax.crypto.SecretKeyFactorySpi`
  Throws:
    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD